Bug 1293606 - [abrt] tuxmath: SDL_FreeSurface(): tuxmath killed by SIGSEGV
[abrt] tuxmath: SDL_FreeSurface(): tuxmath killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuxmath (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0dc6a9e9c661df14478420672ef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 06:47 EST by Michael Schwendt
Modified: 2016-01-07 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version: tuxmath-2.0.1-10.fc23 tuxmath-2.0.1-10.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:56:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.53 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: core_backtrace (2.73 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: dso_list (9.36 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: environ (1.64 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: maps (48.96 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: open_fds (466 bytes, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: proc_pid_status (1005 bytes, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details
File: var_log_messages (290 bytes, text/plain)
2015-12-22 06:47 EST, Michael Schwendt
no flags Details

  None (edit)
Description Michael Schwendt 2015-12-22 06:47:32 EST
Description of problem:
steps to reproduce in bug 829419 (only watched the Demo)

Version-Release number of selected component:
tuxmath-2.0.1-9.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        tuxmath
crash_function: SDL_FreeSurface
executable:     /usr/bin/tuxmath
global_pid:     4015
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SDL_FreeSurface at src/video/SDL_surface.c:911
 #1 powerup_add_comet at game.c:4185
 #2 add_comet at game.c:3166
 #3 game_handle_comets at game.c:1594
 #4 game at game.c:373
 #5 handle_activity at menu.c:206
 #6 T4K_RunMenu at t4k_menu.c:933
 #7 run_menu at menu.c:111
 #8 RunMainMenu at menu.c:755
 #9 TitleScreen at titlescreen.c:306

Potential duplicate: bug 996255
Comment 1 Michael Schwendt 2015-12-22 06:47:38 EST
Created attachment 1108607 [details]
File: backtrace
Comment 2 Michael Schwendt 2015-12-22 06:47:39 EST
Created attachment 1108608 [details]
File: cgroup
Comment 3 Michael Schwendt 2015-12-22 06:47:40 EST
Created attachment 1108609 [details]
File: core_backtrace
Comment 4 Michael Schwendt 2015-12-22 06:47:42 EST
Created attachment 1108610 [details]
File: dso_list
Comment 5 Michael Schwendt 2015-12-22 06:47:43 EST
Created attachment 1108611 [details]
File: environ
Comment 6 Michael Schwendt 2015-12-22 06:47:44 EST
Created attachment 1108612 [details]
File: limits
Comment 7 Michael Schwendt 2015-12-22 06:47:46 EST
Created attachment 1108613 [details]
File: maps
Comment 8 Michael Schwendt 2015-12-22 06:47:48 EST
Created attachment 1108614 [details]
File: mountinfo
Comment 9 Michael Schwendt 2015-12-22 06:47:49 EST
Created attachment 1108615 [details]
File: namespaces
Comment 10 Michael Schwendt 2015-12-22 06:47:50 EST
Created attachment 1108616 [details]
File: open_fds
Comment 11 Michael Schwendt 2015-12-22 06:47:52 EST
Created attachment 1108617 [details]
File: proc_pid_status
Comment 12 Michael Schwendt 2015-12-22 06:47:53 EST
Created attachment 1108618 [details]
File: var_log_messages
Comment 13 Hans de Goede 2015-12-24 13:07:46 EST
Hi,

It seems this is all the same crash, which is fixed by this patch:

--- tuxmath_w_fonts-2.0.1/src/game.c~   2011-04-19 18:05:38.000000000 +0200
+++ tuxmath_w_fonts-2.0.1/src/game.c    2015-12-24 19:03:15.475551698 +0100
@@ -638,6 +638,9 @@ int game_initialize(void)
     comets[i].answer_surf = NULL;
   }

+  powerup_comet->comet.formula_surf = NULL;
+  powerup_comet->comet.answer_surf = NULL;
+
   /* Reset remaining stuff: */
   comet_fontsize = (int)(BASE_COMET_FONTSIZE * get_scale());
   bkgd = scaled_bkgd = NULL;

tuxmath also needs an icon and an appdata file I will take care of this
one of the coming days and then do a new build with this fixed.

Regards,

Hans
Comment 14 Fedora Update System 2015-12-26 09:50:55 EST
tuxmath-2.0.1-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-00bdcfb16f
Comment 15 Fedora Update System 2015-12-26 09:51:22 EST
tuxmath-2.0.1-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1c658bb706
Comment 16 Fedora Update System 2015-12-28 19:55:42 EST
tuxmath-2.0.1-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-00bdcfb16f
Comment 17 Fedora Update System 2015-12-30 15:54:57 EST
tuxmath-2.0.1-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1c658bb706
Comment 18 Fedora Update System 2016-01-05 16:56:05 EST
tuxmath-2.0.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-01-07 22:22:37 EST
tuxmath-2.0.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.